[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Classes' (#rtl)

# TRecall.Destroy

Copies the stored properties to the reference object and destroys the TRecall instance.

## Declaration

Source position: classesh.inc line 473

`public destructor TRecall.Destroy; override;`

## Description

Destroy assigns the storage instance to the reference instance, if the latter is still valid. After this, it frees the storage and calls the inherited destroy.

## Errors

Destroy does not check whether the reference instance is still valid. If the reference pointer was invalidated, call TRecall.Forget to clear the reference instance.

## See also

TRecall.Store |  | Assigns the reference instance to the storage instance.
TRecall.Forget |  | Clear the reference property.